/***文档注释***********************************************
 * 作者               :                   易鑫
 * 创建日期      :                   2017.12.06
 * 描述               :        			分条设计使用  产线基础信息
 * 注意事项      :                   无
 * 遗留BUG :                   无
 * 修改日期      :                   
 * 修改人员      :                   
 * 修改内容      :                   
***********************************************************/

package market.Mes.Lengthwise.Design.vo;

import java.util.List;

import market.Com.vo.ComDsnPltlmt;

//产线基础信息
public class ClsRestrict {
	
	public ClsRestrict(List<ComDsnPltlmt> lc) {
		// TODO 自动生成的构造函数存根
		for(ComDsnPltlmt c:lc){
			if("1001001".equals(c.getApply_item())){
				lim_min_height = c.getMin(); //设备厚度限制
			    lim_max_height = c.getMax();
			}else if("1001002".equals(c.getApply_item())){
				lim_min_wdt = c.getMin();//设备原料宽度限制
				lim_max_wdt = c.getMax();
			}else if("1001003".equals(c.getApply_item())){
			    lim_min_inner = c.getMin();//设备内径限制
			    lim_max_inner = c.getMax();
			}else if("1001004".equals(c.getApply_item())){
				lim_min_outter = c.getMin();//设备外径限制
				lim_max_outter = c.getMax();
			}else if("1001005".equals(c.getApply_item())){
				lim_max_wgt = c.getMax();//设备最大重量
			}
			
			else if("1001011".equals(c.getApply_item())){
				lim_min_sub_height = c.getMin();//设备成品厚度限制
				lim_min_sub_height = c.getMax();
			}else if("1001012".equals(c.getApply_item())){
				lim_min_sub_wdt = c.getMin();//设备成品宽度限制
				lim_min_sub_wdt = c.getMax();
			}else if("1001013".equals(c.getApply_item())){
				lim_min_sub_inner = c.getMin();//设备成品内径限制
				lim_min_sub_inner = c.getMax();
			}else if("1001014".equals(c.getApply_item())){
				lim_min_sub_outter = c.getMin();//设备成品外径限制
				lim_min_sub_outter = c.getMax();
			}else if("1001015".equals(c.getApply_item())){
				lim_max_sub_wgt = c.getMax();//设备成品最大重量
			}
			
			
			else if("3000101".equals(c.getApply_item())){
				width_rise = c.getMin().intValue();//宽度晋级值
			}else if("3000102".equals(c.getApply_item())){
				outter_rise = c.getMin().intValue();//外径晋级值
			}else if("3000103".equals(c.getApply_item())){
				Cut_Reserve = c.getMin();//宽度预留
			}else if("3000104".equals(c.getApply_item())){
				Cut_Loss = c.getMin();//切边损
			}
			
			else if("lim_max_split".equals(c.getApply_item())){
				lim_max_split = c.getMin().intValue();//最大分条数
			}
		}
	}


	public double lim_min_height = 0; //设备厚度限制
    public double lim_max_height = 0;

    public double lim_min_wdt = 0; //设备原料宽度限制
    public double lim_max_wdt = 0;
    
    public double lim_min_inner = 0;//设备内径限制
    public double lim_max_inner = 0;

    public double lim_min_outter = 0; //设备外径限制
    public double lim_max_outter = 0;

    public double lim_max_wgt = 0; //设备最大重量
    
    
    public double lim_min_sub_height = 0; //设备成品厚度限制
    public double lim_max_sub_height = 0;
    
    public double lim_min_sub_wdt = 0;//设备成品宽度限制
    public double lim_max_sub_wdt = 0;

    public double lim_min_sub_inner = 0;//设备成品内径限制
    public double lim_max_sub_inner = 0;

    public double lim_min_sub_outter = 0; //设备成品外径限制
    public double lim_max_sub_outter = 0;
    
    public double lim_max_sub_wgt = 0; //设备成品最大重量

    public int lim_max_split = 0; //最大分条数

    public int width_rise = 0;//宽度晋级值
    public int outter_rise = 0; //外径晋级值

    public double Cut_Reserve = 0; //切边预留
    public double Cut_Loss = 0;//切边损
}
